org.apache.tapestry5.javadoc

## Class TapestryDocTaglet

- java.lang.Object
- - org.apache.tapestry5.javadoc.TapestryDocTaglet

- All Implemented Interfaces:
    com.sun.tools.doclets.Taglet, ClassDescriptionSource

      public class TapestryDocTaglet
      extends java.lang.Object
      implements com.sun.tools.doclets.Taglet, ClassDescriptionSource

  An inline tag allowed inside a type; it produces Tapestry component reference and other information.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TapestryDocTaglet()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClassDescription` | `getDescription(java.lang.String className)`
    `java.lang.String` | `getName()`
    `boolean` | `inConstructor()`
    `boolean` | `inField()`
    `boolean` | `inMethod()`
    `boolean` | `inOverview()`
    `boolean` | `inPackage()`
    `boolean` | `inType()`
    `boolean` | `isInlineTag()`
    `static void` | `register(java.util.Map paramMap)`
    `java.lang.String` | `toString(com.sun.javadoc.Tag tag)`
    `java.lang.String` | `toString(com.sun.javadoc.Tag[] tags)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TapestryDocTaglet

          public TapestryDocTaglet()

  - ### Method Detail

    - #### register

          public static void register(java.util.Map paramMap)

    - #### inField

          public boolean inField()

      Specified by:
        `inField` in interface `com.sun.tools.doclets.Taglet`

    - #### inConstructor

          public boolean inConstructor()

      Specified by:
        `inConstructor` in interface `com.sun.tools.doclets.Taglet`

    - #### inMethod

          public boolean inMethod()

      Specified by:
        `inMethod` in interface `com.sun.tools.doclets.Taglet`

    - #### inOverview

          public boolean inOverview()

      Specified by:
        `inOverview` in interface `com.sun.tools.doclets.Taglet`

    - #### inPackage

          public boolean inPackage()

      Specified by:
        `inPackage` in interface `com.sun.tools.doclets.Taglet`

    - #### inType

          public boolean inType()

      Specified by:
        `inType` in interface `com.sun.tools.doclets.Taglet`

    - #### isInlineTag

          public boolean isInlineTag()

      Specified by:
        `isInlineTag` in interface `com.sun.tools.doclets.Taglet`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `com.sun.tools.doclets.Taglet`

    - #### getDescription

          public ClassDescription getDescription(java.lang.String className)

      Specified by:
        `getDescription` in interface `ClassDescriptionSource`

    - #### toString

          public java.lang.String toString(com.sun.javadoc.Tag tag)

      Specified by:
        `toString` in interface `com.sun.tools.doclets.Taglet`

    - #### toString

          public java.lang.String toString(com.sun.javadoc.Tag[] tags)

      Specified by:
        `toString` in interface `com.sun.tools.doclets.Taglet`

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.